Magento 2 REST API Explorer
Every Magento 2 REST endpoint grouped by module, with HTTP method, path, path/query/body parameters, return types, ACL resources, and copy-paste headers, body, cURL, and JS fetch.
145 result(s) in POST · Clear
/V1/braintree/mine/payment/vault
SelfBraintreeCore · PayPal\Braintree\Api\CustomerAddPaymentToVaultInterface::execute
/V1/paypal/lineItems
AnonymousBraintreeCore · PayPal\Braintree\Api\GetLineItemsAndAmountBreakDownInterface::execute
/V1/paypal/oneClick
AnonymousBraintreeCore · PayPal\Braintree\Api\PayPalOneClickInterface::execute
/V1/paypal/validatePhoneNumber
AnonymousBraintreeCore · PayPal\Braintree\Api\PhoneNumberServiceInterface::execute
/V1/bundle-products/:sku/links/:optionId
Add child product to specified Bundle option by product sku
Bundle · Magento\Bundle\Api\ProductLinkManagementInterface::addChildByProductSku
/V1/bundle-products/options/add
Add new option for bundle product
Bundle · Magento\Bundle\Api\ProductOptionManagementInterface::save
/V1/categories
Create category service
Catalog · Magento\Catalog\Api\CategoryRepositoryInterface::save
/V1/categories/:categoryId/products
Assign a product to the required category
Catalog · Magento\Catalog\Api\CategoryLinkRepositoryInterface::save
/V1/products
Create product
Catalog · Magento\Catalog\Api\ProductRepositoryInterface::save
/V1/products/:sku/group-prices/:customerGroupId/tiers/:qty/price/:price
Create tier price for product
Catalog · Magento\Catalog\Api\ProductTierPriceManagementInterface::add
/V1/products/:sku/links
Assign a product link to another product
Catalog · Magento\Catalog\Api\ProductLinkManagementInterface::setProductLinks
/V1/products/:sku/media
Create new gallery entry
Catalog · Magento\Catalog\Api\ProductAttributeMediaGalleryManagementInterface::create
/V1/products/:sku/websites
Assign a product to the website
Catalog · Magento\Catalog\Api\ProductWebsiteLinkRepositoryInterface::save
/V1/products/attribute-sets
Create attribute set from data
Catalog · Magento\Catalog\Api\AttributeSetManagementInterface::create
/V1/products/attribute-sets/attributes
Assign attribute to attribute set
Catalog · Magento\Catalog\Api\ProductAttributeManagementInterface::assign
/V1/products/attribute-sets/groups
Save attribute group
Catalog · Magento\Catalog\Api\ProductAttributeGroupRepositoryInterface::save
/V1/products/attributes
Save attribute data
Catalog · Magento\Catalog\Api\ProductAttributeRepositoryInterface::save
/V1/products/attributes/:attributeCode/options
Add option to attribute
Catalog · Magento\Catalog\Api\ProductAttributeOptionManagementInterface::add
/V1/products/base-prices
Add or update product prices. Input item should correspond \Magento\Catalog\Api\Data\CostInterface. If any items will have invalid price, store id or sku, they will be marked as failed and excluded from update list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.
Catalog · Magento\Catalog\Api\BasePriceStorageInterface::update
/V1/products/base-prices-information
Return product prices. In case of at least one of skus is not found exception will be thrown.
Catalog · Magento\Catalog\Api\BasePriceStorageInterface::get
/V1/products/cost
Add or update product cost. Input item should correspond to \Magento\Catalog\Api\Data\CostInterface. If any items will have invalid cost, store id or sku, they will be marked as failed and excluded from update list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.
Catalog · Magento\Catalog\Api\CostStorageInterface::update
/V1/products/cost-delete
Delete product cost. In case of at least one of skus is not found exception will be thrown. If error occurred during the delete exception will be thrown.
Catalog · Magento\Catalog\Api\CostStorageInterface::delete
/V1/products/cost-information
Return product prices. In case of at least one of skus is not found exception will be thrown.
Catalog · Magento\Catalog\Api\CostStorageInterface::get
/V1/products/options
Save Custom Option
Catalog · Magento\Catalog\Api\ProductCustomOptionRepositoryInterface::save
/V1/products/special-price
Add or update product's special price. If any items will have invalid price, store id, sku or dates, they will be marked as failed and excluded from update list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.
Catalog · Magento\Catalog\Api\SpecialPriceStorageInterface::update
/V1/products/special-price-delete
Delete product's special price. If any items will have invalid price, store id, sku or dates, they will be marked as failed and excluded from delete list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the delete exception will be thrown.
Catalog · Magento\Catalog\Api\SpecialPriceStorageInterface::delete
/V1/products/special-price-information
Return product's special price. In case of at least one of skus is not found exception will be thrown.
Catalog · Magento\Catalog\Api\SpecialPriceStorageInterface::get
/V1/products/tier-prices
Add or update product prices. If any items will have invalid price, price type, website id, sku, customer group or quantity, they will be marked as failed and excluded from update list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.
Catalog · Magento\Catalog\Api\TierPriceStorageInterface::update
/V1/products/tier-prices-delete
Delete product tier prices. If any items will have invalid price, price type, website id, sku, customer group or quantity, they will be marked as failed and excluded from delete list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.
Catalog · Magento\Catalog\Api\TierPriceStorageInterface::delete
/V1/products/tier-prices-information
Return product prices. In case of at least one of skus is not found exception will be thrown.
Catalog · Magento\Catalog\Api\TierPriceStorageInterface::get
/V1/carts/:cartId/shipping-information
Checkout · Magento\Checkout\Api\ShippingInformationManagementInterface::saveAddressInformation
/V1/carts/:cartId/totals-information
Calculate quote totals based on address and shipping method.
Checkout · Magento\Checkout\Api\TotalsInformationManagementInterface::calculate
/V1/carts/mine/payment-information
SelfSet payment information and place order for a specified cart.
Checkout · Magento\Checkout\Api\PaymentInformationManagementInterface::savePaymentInformationAndPlaceOrder
/V1/carts/mine/set-payment-information
SelfSet payment information for a specified cart.
Checkout · Magento\Checkout\Api\PaymentInformationManagementInterface::savePaymentInformation
/V1/carts/mine/shipping-information
SelfCheckout · Magento\Checkout\Api\ShippingInformationManagementInterface::saveAddressInformation
/V1/carts/mine/totals-information
SelfCalculate quote totals based on address and shipping method.
Checkout · Magento\Checkout\Api\TotalsInformationManagementInterface::calculate
/V1/guest-carts/:cartId/payment-information
AnonymousSet payment information and place order for a specified cart.
Checkout · Magento\Checkout\Api\GuestPaymentInformationManagementInterface::savePaymentInformationAndPlaceOrder
/V1/guest-carts/:cartId/set-payment-information
AnonymousSet payment information for a specified cart.
Checkout · Magento\Checkout\Api\GuestPaymentInformationManagementInterface::savePaymentInformation
/V1/guest-carts/:cartId/shipping-information
AnonymousCheckout · Magento\Checkout\Api\GuestShippingInformationManagementInterface::saveAddressInformation
/V1/guest-carts/:cartId/totals-information
AnonymousCalculate quote totals based on address and shipping method.
Checkout · Magento\Checkout\Api\GuestTotalsInformationManagementInterface::calculate
/V1/cmsBlock
Save block.
Cms · Magento\Cms\Api\BlockRepositoryInterface::save
/V1/cmsPage
Save page.
Cms · Magento\Cms\Api\PageRepositoryInterface::save
/V1/configurable-products/:sku/child
ConfigurableProduct · Magento\ConfigurableProduct\Api\LinkManagementInterface::addChild
/V1/configurable-products/:sku/options
Save option
ConfigurableProduct · Magento\ConfigurableProduct\Api\OptionRepositoryInterface::save
/V1/customerGroups
Save customer group.
Customer · Magento\Customer\Api\GroupRepositoryInterface::save
/V1/customers
AnonymousCreate customer account. Perform necessary business operations like sending email.
Customer · Magento\Customer\Api\AccountManagementInterface::createAccount
/V1/customers/activate
AnonymousActivate a customer account using a key that was sent in a confirmation email.
Customer · Magento\Customer\Api\AccountManagementInterface::activate
/V1/customers/confirm
Resend confirmation email.
Customer · Magento\Customer\Api\AccountManagementInterface::resendConfirmation
/V1/customers/isEmailAvailable
AnonymousCheck if given email is associated with a customer account in given website.
Customer · Magento\Customer\Api\AccountManagementInterface::isEmailAvailable
/V1/customers/resetPassword
AnonymousReset customer password.
Customer · Magento\Customer\Api\AccountManagementInterface::resetPassword
/V1/products/:sku/downloadable-links
Update downloadable link of the given product (link type and its resources cannot be changed)
Downloadable · Magento\Downloadable\Api\LinkRepositoryInterface::save
/V1/products/:sku/downloadable-links/samples
Update downloadable sample of the given product
Downloadable · Magento\Downloadable\Api\SampleRepositoryInterface::save
/V1/eav/attribute-sets
Create attribute set from data
Eav · Magento\Eav\Api\AttributeSetManagementInterface::create
/V1/carts/:cartId/gift-message
Set the gift message for an entire order.
GiftMessage · Magento\GiftMessage\Api\CartRepositoryInterface::save
/V1/carts/:cartId/gift-message/:itemId
Set the gift message for a specified item in a specified shopping cart.
GiftMessage · Magento\GiftMessage\Api\ItemRepositoryInterface::save
/V1/carts/mine/gift-message
SelfSet the gift message for an entire order.
GiftMessage · Magento\GiftMessage\Api\CartRepositoryInterface::save
/V1/carts/mine/gift-message/:itemId
SelfSet the gift message for a specified item in a specified shopping cart.
GiftMessage · Magento\GiftMessage\Api\ItemRepositoryInterface::save
/V1/guest-carts/:cartId/gift-message
AnonymousSet the gift message for an entire order.
GiftMessage · Magento\GiftMessage\Api\GuestCartRepositoryInterface::save
/V1/guest-carts/:cartId/gift-message/:itemId
AnonymousSet the gift message for a specified item in a specified shopping cart.
GiftMessage · Magento\GiftMessage\Api\GuestItemRepositoryInterface::save
/V1/integration/admin/token
AnonymousCreate access token for admin given the admin credentials.
Integration · Magento\Integration\Api\AdminTokenServiceInterface::createAdminAccessToken
/V1/integration/customer/revoke-customer-token
SelfRevoke token by customer id.
Integration · Magento\Integration\Api\CustomerTokenServiceInterface::revokeCustomerAccessToken
/V1/integration/customer/token
AnonymousCreate access token for admin given the customer credentials.
Integration · Magento\Integration\Api\CustomerTokenServiceInterface::createCustomerAccessToken
/V1/inventory/source-items
Save Multiple Source item data
InventoryApi · Magento\InventoryApi\Api\SourceItemsSaveInterface::execute
/V1/inventory/source-items-delete
Delete Multiple Source item data
InventoryApi · Magento\InventoryApi\Api\SourceItemsDeleteInterface::execute
/V1/inventory/sources
Save Source data
InventoryApi · Magento\InventoryApi\Api\SourceRepositoryInterface::save
/V1/inventory/stock-source-links
Save StockSourceLink list data
InventoryApi · Magento\InventoryApi\Api\StockSourceLinksSaveInterface::execute
/V1/inventory/stock-source-links-delete
Remove StockSourceLink list list
InventoryApi · Magento\InventoryApi\Api\StockSourceLinksDeleteInterface::execute
/V1/inventory/stocks
Save Stock data
InventoryApi · Magento\InventoryApi\Api\StockRepositoryInterface::save
/V1/inventory/bulk-partial-source-transfer
Run bulk partial inventory transfer for specified items.
InventoryCatalogApi · Magento\InventoryCatalogApi\Api\BulkPartialInventoryTransferInterface::execute
/V1/inventory/bulk-product-source-assign
Run mass product to source assignment
InventoryCatalogApi · Magento\InventoryCatalogApi\Api\BulkSourceAssignInterface::execute
/V1/inventory/bulk-product-source-transfer
Run bulk inventory transfer
InventoryCatalogApi · Magento\InventoryCatalogApi\Api\BulkInventoryTransferInterface::execute
/V1/inventory/bulk-product-source-unassign
Run mass product to source un-assignment
InventoryCatalogApi · Magento\InventoryCatalogApi\Api\BulkSourceUnassignInterface::execute
/V1/inventory/in-store-pickup/pickup-locations/
AnonymousGet Pickup Locations according to the results of filtration by Search Request.
InventoryInStorePickupApi · Magento\InventoryInStorePickupApi\Api\GetPickupLocationsInterface::execute
/V1/order/notify-orders-are-ready-for-pickup
Notify customer that the orders is ready for pickup.
InventoryInStorePickupSalesApi · Magento\InventoryInStorePickupSalesApi\Api\NotifyOrdersAreReadyForPickupInterface::execute
/V1/inventory/low-quantity-notification
Save an array of SourceItemConfigurationInterface objects passed as parameter.
InventoryLowQuantityNotificationApi · Magento\InventoryLowQuantityNotificationApi\Api\SourceItemConfigurationsSaveInterface::execute
/V1/inventory/low-quantity-notifications-delete
Delete multiple source items configuration for low quantity
InventoryLowQuantityNotificationApi · Magento\InventoryLowQuantityNotificationApi\Api\DeleteSourceItemsConfigurationInterface::execute
/V1/inventory/source-selection-algorithm-result
Executes the source selection service using the provided inventory request and algorithm code.
InventorySourceSelectionApi · Magento\InventorySourceSelectionApi\Api\SourceSelectionServiceInterface::execute
/V1/carts/mine/payment-order
SelfCreate a payment order for logged in customer
PaymentServicesPaypal · Magento\PaymentServicesPaypal\Api\PaymentOrderRequestInterface::create
/V1/carts/mine/payment-order/:id
SelfSync payment order for logged in customer
PaymentServicesPaypal · Magento\PaymentServicesPaypal\Api\PaymentOrderRequestInterface::sync
/V1/guest-carts/:cartId/payment-order
AnonymousCreate a payment order for guest customer
PaymentServicesPaypal · Magento\PaymentServicesPaypal\Api\PaymentOrderRequestInterface::createGuest
/V1/guest-carts/:cartId/payment-order/:id
AnonymousSync payment order for guest customer
PaymentServicesPaypal · Magento\PaymentServicesPaypal\Api\PaymentOrderRequestInterface::syncForGuest
/V1/payment-order/completeOrder
AnonymousRest API endpoint to place an order
PaymentServicesPaypal · Magento\PaymentServicesPaypal\Api\CompleteOrderInterface::execute
/V1/carts/
Creates an empty cart and quote for a guest.
Quote · Magento\Quote\Api\CartManagementInterface::createEmptyCart
/V1/carts/:cartId/billing-address
Assigns a specified billing address to a specified cart.
Quote · Magento\Quote\Api\BillingAddressManagementInterface::assign
/V1/carts/:cartId/estimate-shipping-methods
Estimate shipping by address and return list of available shipping methods
Quote · Magento\Quote\Api\ShipmentEstimationInterface::estimateByExtendedAddress
/V1/carts/:cartId/estimate-shipping-methods-by-address-id
Estimate shipping
Quote · Magento\Quote\Api\ShippingMethodManagementInterface::estimateByAddressId
/V1/carts/:quoteId/items
Add/update the specified cart item.
Quote · Magento\Quote\Api\CartItemRepositoryInterface::save
/V1/carts/mine
SelfCreates an empty cart and quote for a specified customer if customer does not have a cart yet.
Quote · Magento\Quote\Api\CartManagementInterface::createEmptyCartForCustomer
/V1/carts/mine/billing-address
SelfAssigns a specified billing address to a specified cart.
Quote · Magento\Quote\Api\BillingAddressManagementInterface::assign
/V1/carts/mine/estimate-shipping-methods
SelfEstimate shipping by address and return list of available shipping methods
Quote · Magento\Quote\Api\ShipmentEstimationInterface::estimateByExtendedAddress
/V1/carts/mine/estimate-shipping-methods-by-address-id
SelfEstimate shipping
Quote · Magento\Quote\Api\ShippingMethodManagementInterface::estimateByAddressId
/V1/carts/mine/items
SelfAdd/update the specified cart item.
Quote · Magento\Quote\Api\CartItemRepositoryInterface::save
/V1/customers/:customerId/carts
Creates an empty cart and quote for a specified customer if customer does not have a cart yet.
Quote · Magento\Quote\Api\CartManagementInterface::createEmptyCartForCustomer
/V1/guest-carts
AnonymousEnable an customer or guest user to create an empty cart and quote for an anonymous customer.
Quote · Magento\Quote\Api\GuestCartManagementInterface::createEmptyCart
/V1/guest-carts/:cartId/billing-address
AnonymousAssign a specified billing address to a specified cart.
Quote · Magento\Quote\Api\GuestBillingAddressManagementInterface::assign
/V1/guest-carts/:cartId/estimate-shipping-methods
AnonymousQuote · Magento\Quote\Api\GuestShipmentEstimationInterface::estimateByExtendedAddress
/V1/guest-carts/:cartId/items
AnonymousAdd/update the specified cart item.
Quote · Magento\Quote\Api\GuestCartItemRepositoryInterface::save
/V1/creditmemo
Performs persist operations for a specified credit memo.
Sales · Magento\Sales\Api\CreditmemoRepositoryInterface::save
/V1/creditmemo/:id/comments
Performs persist operations for a specified entity.
Sales · Magento\Sales\Api\CreditmemoCommentRepositoryInterface::save
/V1/creditmemo/:id/emails
Emails a user a specified credit memo.
Sales · Magento\Sales\Api\CreditmemoManagementInterface::notify
/V1/creditmemo/refund
Prepare creditmemo to refund and save it.
Sales · Magento\Sales\Api\CreditmemoManagementInterface::refund
/V1/invoice/:invoiceId/refund
Create refund for invoice
Sales · Magento\Sales\Api\RefundInvoiceInterface::execute
/V1/invoices/
Performs persist operations for a specified invoice.
Sales · Magento\Sales\Api\InvoiceRepositoryInterface::save
/V1/invoices/:id/capture
Sets invoice capture.
Sales · Magento\Sales\Api\InvoiceManagementInterface::setCapture
/V1/invoices/:id/emails
Emails a user a specified invoice.
Sales · Magento\Sales\Api\InvoiceManagementInterface::notify
/V1/invoices/:id/void
Voids a specified invoice.
Sales · Magento\Sales\Api\InvoiceManagementInterface::setVoid
/V1/invoices/comments
Performs persist operations for a specified invoice comment.
Sales · Magento\Sales\Api\InvoiceCommentRepositoryInterface::save
/V1/order/:orderId/invoice
Sales · Magento\Sales\Api\InvoiceOrderInterface::execute
/V1/order/:orderId/refund
Create offline refund for order
Sales · Magento\Sales\Api\RefundOrderInterface::execute
/V1/order/:orderId/ship
Creates new Shipment for given Order.
Sales · Magento\Sales\Api\ShipOrderInterface::execute
/V1/orders
Performs persist operations for a specified order.
Sales · Magento\Sales\Api\OrderRepositoryInterface::save
/V1/orders/:id/cancel
Cancels a specified order.
Sales · Magento\Sales\Api\OrderManagementInterface::cancel
/V1/orders/:id/comments
Adds a comment to a specified order.
Sales · Magento\Sales\Api\OrderManagementInterface::addComment
/V1/orders/:id/emails
Emails a user a specified order.
Sales · Magento\Sales\Api\OrderManagementInterface::notify
/V1/orders/:id/hold
Holds a specified order.
Sales · Magento\Sales\Api\OrderManagementInterface::hold
/V1/orders/:id/unhold
Releases a specified order from hold status.
Sales · Magento\Sales\Api\OrderManagementInterface::unHold
/V1/shipment/
Performs persist operations for a specified shipment.
Sales · Magento\Sales\Api\ShipmentRepositoryInterface::save
/V1/shipment/:id/comments
Performs persist operations for a specified shipment comment.
Sales · Magento\Sales\Api\ShipmentCommentRepositoryInterface::save
/V1/shipment/:id/emails
Emails user a specified shipment.
Sales · Magento\Sales\Api\ShipmentManagementInterface::notify
/V1/shipment/track
Performs persist operations for a specified shipment track.
Sales · Magento\Sales\Api\ShipmentTrackRepositoryInterface::save
/V1/coupons
Save a coupon.
SalesRule · Magento\SalesRule\Api\CouponRepositoryInterface::save
/V1/coupons/deleteByCodes
Delete coupon by coupon codes.
SalesRule · Magento\SalesRule\Api\CouponManagementInterface::deleteByCodes
/V1/coupons/deleteByIds
Delete coupon by coupon ids.
SalesRule · Magento\SalesRule\Api\CouponManagementInterface::deleteByIds
/V1/coupons/generate
Generate coupon for a rule
SalesRule · Magento\SalesRule\Api\CouponManagementInterface::generate
/V1/salesRules
Save sales rule.
SalesRule · Magento\SalesRule\Api\RuleRepositoryInterface::save
/V1/taxClasses
Create a Tax Class
Tax · Magento\Tax\Api\TaxClassRepositoryInterface::save
/V1/taxRates
Create or update tax rate
Tax · Magento\Tax\Api\TaxRateRepositoryInterface::save
/V1/taxRules
Save TaxRule
Tax · Magento\Tax\Api\TaxRuleRepositoryInterface::save
/V1/integration/admin/token
AnonymousTwoFactorAuth · Magento\TwoFactorAuth\Api\AdminTokenServiceInterface::createAdminAccessToken
/V1/tfa/provider/authy/activate
AnonymousActivate the provider and get an admin token
TwoFactorAuth · Magento\TwoFactorAuth\Api\AuthyConfigureInterface::activate
/V1/tfa/provider/authy/authenticate
AnonymousGet an admin token using authy 2fa
TwoFactorAuth · Magento\TwoFactorAuth\Api\AuthyAuthenticateInterface::createAdminAccessTokenWithCredentials
/V1/tfa/provider/authy/authenticate-onetouch
AnonymousAuthenticate using the present one touch response and get an admin token
TwoFactorAuth · Magento\TwoFactorAuth\Api\AuthyAuthenticateInterface::creatAdminAccessTokenWithOneTouch
/V1/tfa/provider/authy/configure
AnonymousGet the information required to configure google
TwoFactorAuth · Magento\TwoFactorAuth\Api\AuthyConfigureInterface::sendDeviceRegistrationPrompt
/V1/tfa/provider/authy/send-token/:via
AnonymousSend a one time password to a device using authy
TwoFactorAuth · Magento\TwoFactorAuth\Api\AuthyAuthenticateInterface::sendToken
/V1/tfa/provider/duo_security/activate
AnonymousActivate the provider and get an admin token
TwoFactorAuth · Magento\TwoFactorAuth\Api\DuoConfigureInterface::duoActivate
/V1/tfa/provider/duo_security/authenticate
AnonymousAuthenticate and get an admin token with passcode
TwoFactorAuth · Magento\TwoFactorAuth\Api\DuoAuthenticateInterface::createAdminAccessTokenWithCredentialsAndPasscode
/V1/tfa/provider/duo_security/configure
AnonymousConfigure duo for first time user
TwoFactorAuth · Magento\TwoFactorAuth\Api\DuoConfigureInterface::getDuoConfigurationData
/V1/tfa/provider/google/activate
AnonymousActivate the provider and get an admin token
TwoFactorAuth · Magento\TwoFactorAuth\Api\GoogleConfigureInterface::activate
/V1/tfa/provider/google/authenticate
AnonymousGet an admin token by authenticating using google
TwoFactorAuth · Magento\TwoFactorAuth\Api\GoogleAuthenticateInterface::createAdminAccessToken
/V1/tfa/provider/google/configure
AnonymousGet the information required to configure google
TwoFactorAuth · Magento\TwoFactorAuth\Api\GoogleConfigureInterface::getConfigurationData
/V1/tfa/provider/u2fkey/activate
AnonymousActivate the provider and get a token
TwoFactorAuth · Magento\TwoFactorAuth\Api\U2fKeyConfigureInterface::activate
/V1/tfa/provider/u2fkey/authentication-challenge
AnonymousGet the information to initiate a WebAuthn registration ceremony
TwoFactorAuth · Magento\TwoFactorAuth\Api\U2fKeyAuthenticateInterface::getAuthenticationData
/V1/tfa/provider/u2fkey/configure
AnonymousGet the information to initiate a WebAuthn registration ceremony
TwoFactorAuth · Magento\TwoFactorAuth\Api\U2fKeyConfigureInterface::getRegistrationData
/V1/tfa/provider/u2fkey/verify
AnonymousAuthenticate with the provider and get a token
TwoFactorAuth · Magento\TwoFactorAuth\Api\U2fKeyAuthenticateInterface::createAdminAccessToken
/V1/customers
Create or update a customer.
Webapi · Magento\Customer\Api\CustomerRepositoryInterface::save
Every Magento dev tool, in one hosted workspace.
Free to sign up. Nothing to install. Drafts, audits, and projects saved across every tool.